# UpdateUser

### Description

Updates the data of an existing user.

```csharp
  void UpdateUser(string webServiceUrl, 
                  string previousEmail, 
                  string customerName, 
                  string customerEmail, 
                  string customerPhone, 
                  string customerFax, 
                  string customerMobile, 
                  string customerCompany, 
                  string customerAddress1, 
                  string customerAddress2, 
                  string customerCity, 
                  string customerState, 
                  string customerZip,
                  string customerCountry, 
                  string customerIP, 
                  string customerNotes, 
                  bool includeInMailList, 
                  out string response)
```

### Parameters

| Parameter         |    Type    | Description                                     |
| ----------------- | :--------: | ----------------------------------------------- |
| webServiceUrl     |   string   | URL to the QLM License Server                   |
| previousEmail     |   string   | Email address of the existing user to update    |
| customerName      |   string   | Full Name                                       |
| customerEmail     |   string   | Email address                                   |
| customerPhone     |   string   | Phone number                                    |
| customerFax       |   string   | Fax number                                      |
| customerMobile    |   string   | Mobile phone number                             |
| customerCompany   |   string   | Company name                                    |
| customerAddress1  |   string   | Address 1                                       |
| customerAddress2  |   string   | Address 2                                       |
| customerCity      |   string   | City                                            |
| customerState     |   string   | State                                           |
| customerZip       |   string   | Zip Code                                        |
| customerCountry   |   string   | Country                                         |
| customerIP        |   string   | IP Address                                      |
| customerNotes     |   string   | Notes                                           |
| includeInMailList |    bool    | Include in mail list                            |
| response          | out string | XML fragment containing the result of the call. |

### Response XML format

```xml
<?xml version='1.0' encoding='UTF-8'?>
<QuickLicenseManager>
<result>Customer ABC was updated successfully.".</result>
</QuickLicenseManager>
```

### Example error response

```xml
<?xml version='1.0' encoding='UTF-8'?>
<QuickLicenseManager>
<error>Details about the error</error>
</QuickLicenseManager>
```

## Remarks

Use [ParseResults ](https://docs.soraco.co/docs/api-reference/.net-api/iqlmcustomerinfo/methods/parseresults)to interpret the results of the call and load the returned data into an [ILicenseInfo ](https://docs.soraco.co/docs/api-reference/.net-api/ilicenseinfo)object.

```csharp
ILicenseInfo li = new LicenseInfo();
string message = string.Empty;
if (lv.QlmLicenseObject.ParseResults(response, ref li, ref message))
{
  // The operation  was successful	
}
else
{
  // The operation failed
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.soraco.co/docs/api-reference/.net-api/qlmlicense/application-methods/updateuser.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
